function asFalse(mid) {
	$(mid).value='false';
}
function forceIE() {
	return "&dummay=" + new Date().getTime();
}

function checkConn(txt) {
	if (txt.match(/Jeput-Error-Disconnected/)) {
		do_reconnect();
		return false;
	}
	return true;
}

var err_element = null;
function dismissError() {
	new Effect.Fade($('error_msg'), { duration: 0.2 });
	$('error_dismisser').hide();
	if (err_element) {
		err_element.focus();
		err_element = null;
	}
}

function windowheight() {
    var e = window;
    var a = 'inner';
    if (!('innerWidth' in window)){
        a = 'client';
        e = document.documentElement || document.body;
    }
    return e[ a+'Height' ];
}

function mobilealert(text, canconfirm, callbackstr) {
	if (!canconfirm) {
		alert(text);
		return;
	} else {
		var conf = confirm(text);
		if (conf && callbackstr)
			eval(callbackstr);
	}
}

function divalert(triggerelt, text, canconfirm, callbackstr) {

	if (isMobile()) {
		mobilealert(text, canconfirm, callbackstr);
		return;
	}

	var top_val = $(triggerelt).viewportOffset()[1] + triggerelt.measure("height") + 10;
	var left_val = $(triggerelt).viewportOffset()[0];

	$('error_dismisser').show();

	var confirmdiv = "";
	if (canconfirm)
		confirmdiv = "<div class='err_buttons'>"+
				"<input type='button' value='Oui' class='btyes' onclick='"+callbackstr+"'>&nbsp;&nbsp;"+
				"<input type='button' value='Non'>"+
			     "</div>";
	err_element = triggerelt;
	$('error_msg').innerHTML = "<div class='err_libelle'>" + text + "</div>" + confirmdiv;

	if (left_val + $('error_msg').measure("width") + 40 > document.viewport.getWidth())
		left_val += triggerelt.measure("width") - ($('error_msg').measure("width") + 40);

	if (top_val + $('error_msg').measure("height") + 60 > windowheight())
		top_val -= (triggerelt.measure("height") + 60 + $('error_msg').measure("height") + 15);

	$('error_msg').setStyle({ "position": "fixed", 
				  "top": top_val + "px",
				  "left": left_val + "px"});
	new Effect.Appear($('error_msg'), { duration: 0.2 });
}

function myfocus(element) {
/*	this worksarounds https://bugzilla.mozilla.org/show_bug.cgi?id=236791
	try {
		element.setAttribute('autocomplete', 'off');
	} catch (err) {}
*/
	try {
		element.focus();
	} catch (err) {}

/*
	try {
		element.setAttribute('autocomplete', 'on');
	} catch (err) {}
*/
}
function myescape(text) {
	return encodeURIComponent(text);
}

function roundNumber(num, dec) {
	var result = Math.round(num*Math.pow(10,dec))/Math.pow(10,dec);
	return result;
}

function calc() {
	expr=$('calc_expr').value.replace(/,/g, ".");
	if (expr == "") {
		$('calc_res').innerHTML = "";
		return;
	}
	try {
		res = roundNumber(eval(expr),2) + "";
		$('calc_res').innerHTML = res.replace(/\./g, ",");
		try {
			$('calc_expr').select();
		} catch (err) {}
	} catch (err) {
		$('calc_res').innerHTML = "?";
	}
}

function doError(element, text, status)
{
	if (status != "")
		element.innerHTML = "<div class=error msg>"+text+" (erreur "+status+").<br>"+
			"Essayez de <a href='"+location.href+"'>recharger la page</a>.</div>";
	else
		element.innerHTML = "<div class=error msg>"+text+".<br>"+
			"Essayez de <a href='"+location.href+"'>recharger la page</a>.</div>";

}

function do_reconnect()
{
	requested=encodeURIComponent(location.href);
	location.href="/jeput/index.php?erreur=2&goto="+requested;
}

function isMobile() {
	return $("isMobile").getStyle("line-height") == "1px";
}

var inAccList = 0;
var sett = -1;
function acclist_short_show(val)
{
	if (isMobile())
		return;

	if (val == 1) {
		//$('acclist_short').show();
		new Effect.Appear('acclist_short', {duration: 0.2});
		inAccList = 1;
		if (sett != -1)
			clearTimeout(sett);
		sett = -1;
	} else if (val == 0) {
		inAccList = 0;
		sett = setTimeout("acclist_short_show(-1)", 500);
	} else if (val == -1 && !inAccList) {
		new Effect.Fade('acclist_short', {duration: 0.2});
		//$('acclist_short').hide();
	}
}

function menu_toggle() {
	$("menu-content").toggleClassName("smart-hidden");
}

function unedit(item) {
	$(item+"edit").hide();
	$(item+"show").show();
}

function edit(item) {
	if (!editable) {
		return false;
	}
	$(item+"show").hide();
	$(item+"edit").show();
	return true;
}

