<?php /*
    This file is part of JEPUT.

    JEPUT is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    JEPUT is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with JEPUT; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/ ?>
<?php require_once("verifySession.php"); ?>
<?php $title = "Mes comptes"; include("meta.inc.php"); ?>

<script type="text/javascript">
<!--
function updateList(ac_id) {
        document.getElementById("list_updating").className="normal";
        new Ajax.Request("show_accounts.inc.php?full=1"+forceIE(), {
                method: 'get',
                encoding: 'UTF-8',
                onSuccess: function(transport) {
                        document.getElementById("mescomptes_list").innerHTML = transport.responseText;
                        if (ac_id !== 0) {
				new Effect.Highlight("acrow_"+ac_id, {startcolor:'#F9F979', endcolor:'#F9F9F0', keepBackgroundImage:true, duration: 2.0});
                        }
                },
                onFailure: function(transport) {
                        doError($("mescomptes_list"), "Le chargement de la liste a échoué", transport.status+"");
                        document.getElementById("list_updating").className="invisible";
                }
        });
        new Ajax.Request("show_totals.inc.php?x=y"+forceIE(), {
                method: 'get',
                encoding: 'UTF-8',
                onSuccess: function(transport) {
                        document.getElementById("totaux_list").innerHTML = transport.responseText;
                }
        });
        new Ajax.Request("show_accounts.inc.php?full=0"+forceIE(), {
                method: 'get',
                encoding: 'UTF-8',
                onSuccess: function(transport) {
                        document.getElementById("acclist_short").innerHTML = transport.responseText;
                        document.getElementById("list_updating").className="invisible";
                }
        });
}

function check(f) {
	if(f.ac_name.value=='') {
		divalert(f.ac_name,'Vous n\'avez pas rempli le nom !');
		return false;
	}
	if(f.ac_init.value=='') {
		divalert(f.ac_init,'Vous n\'avez pas rempli le solde initial !');
		return false;
	}
        new Ajax.Request("addcompte.php?ac_name="+myescape(document.getElementById("form_cpte").ac_name.value)+
			 "&ac_init="+(document.getElementById("form_cpte").ac_init.value)+forceIE(), {
                method: 'get',
                encoding: 'UTF-8',
                onSuccess: function(transport) {
                        updateList(transport.responseText);
			document.getElementById("form_cpte").ac_name.value="";
			document.getElementById("form_cpte").ac_init.value="";
                },
                onFailure: function(transport) {
                        doError($("mescomptes_list"), "Le chargement de la liste a échoué", transport.status+"");
                }
        });
	return false;
}

function delcpte(elt, ac_id) {
	divalert(elt, 'Confirmez-vous l\'archivage de ce compte ?',true,
		'$("delete_form").ac_id.value='+ac_id+';$("delete_form").submit();');
}

function sharecpte(ac_id) {
	document.getElementById('share_form').ac_id.value=ac_id;
	document.getElementById('share_form').submit();
}

function unsharecpte(ac_id) {
	document.getElementById('unshare_form').ac_id.value=ac_id;
	document.getElementById('unshare_form').submit();
}

//-->
</script>
</HEAD>
<?php
	$accounts="select AC_ID, AC_NAME
		   from ACCOUNT
		   where AC_US_ID=$JEPUTuserid
		   and AC_ARCHIVED=0
		   order by AC_NAME";
	$accList=mysql_query( $accounts);
	if(mysql_num_rows($accList) == 0) {
		$onload="onload='document.forms[0].ac_name.focus();'";
	}
?>
<BODY <?php if (isset($onload)) echo $onload; ?>>
<?php 
$pagetitle="Liste de mes comptes";
include("tableBegin.php");
?>
	<div class="nolist">
	<?php if (isset($_REQUEST["l"]) && $_REQUEST["l"]==1)
		echo "<span class=important>Vous êtes connecté·e. Bienvenue.</span>";
	?>

	<form id=form_cpte action=addcompte.php method=post onSubmit="return(check(this));">
	<ul><li><span class=important>Comptes existants:</span>
		<div id=mescomptes_list>
		<?php 
			$full = "1";
			include ("show_accounts.inc.php"); ?>
		</div>
	</li><li><span class=important>Totaux généraux :</span>
		 <div id="totaux_list">
			<?php include ("show_totals.inc.php"); ?>
		 </div>
	</li><li>
		<span class=important>Ajouter un compte:</span>
		<div class="comptes-table">
		<?php if(isset($err) && $err=="1") {
			echo "<div class='comptes-row'><span class='important'>Ce compte existe d&eacute;j&agrave.</span></div>\n";
		      } else if (isset($err) && $err=="2") {
			echo "<div class='comptes-row'><span class='important'>Veuillez remplir le nom.</span></div>\n";
		      }
		?>
		<div class='comptes-row'><div class="comptes-data">
		Nom&nbsp;:&nbsp;
		</div><div class="comptes-action">
		<input class="std" title="Le nom de votre nouveau compte" type=text name=ac_name value="<?php if(isset($old_ac_name)) echo $old_ac_name; ?>">
		</div></div>
		<div class='comptes-row'><div class="comptes-data">
		Solde initial&nbsp;:&nbsp;
		</div><div class="comptes-action">
		<input title="Le montant auquel il sera initialisé" type=text name=ac_init value="<?php if(isset($old_ac_init)) echo $old_ac_init; ?>" size=7>&nbsp;&euro;
		</div></div>
		<div class='comptes-row'><div class="comptes-data">
		</div><div class="comptes-action">
		<input type=submit value="Créer">&nbsp;<img class=invisible id=list_updating width=16 height=16 alt="..." src="images/updating.gif">
		</div></div><br></div>
	</li>
	<?php if (isset($hasArchivedAccounts) && $hasArchivedAccounts) { ?>
		<li><span class=important>Comptes archivés:</span>
			<div id=mescomptesarchives_list>
			<?php
				$full = "0";
				$showArchived=1;
				include ("show_accounts.inc.php"); ?>
			</div>
		</li>
	<?php } ?>
	</ul>
	</form>
	<form id=delete_form action=deletecpte.php method=get>
		<input type=hidden name=ac_id value="">
	</form>
	<form id=share_form action=sharecptedis.php method=get>
		<input type=hidden name=ac_id value="">
	</form>
	<form id=unshare_form action=sharecpte.php method=get>
		<input type=hidden name=ac_id value="">
		<input type=hidden name=unshare value="1">
	</form>
	
</DIV>
</DIV>
<?php include("tableEnd.php");?>
</BODY>
</HTML>
