/*
    This file is part of JEPUT.

    JEPUT is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    JEPUT is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with JEPUT; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
function check(f) {
	try {
	        if ($("form_updating").className != "invisible"
        	 || $("list_updating").className != "invisible")
                	return false;
	} catch (err) {
		return false;
	}

        if(f.day.value=='') {
                divalert(f.day, 'Vous n\'avez pas rempli le jour !', false);
                return false;
        }
	if(f.day.value > 28) {
		divalert(f.day, "Le jour doit être inférieur ou égal à 28 !", false);
		return false;
	}
	if(f.name.value=='') {
		divalert(f.name, 'Vous n\'avez pas rempli le libellé !', false);
		return false;
	}
	if(f.sum.value=='') {
		divalert(f.sum, 'Vous n\'avez pas rempli le montant !', false);
		return false;
	}
	if(f.ac_id.value==f.virement.value) {
		divalert(f.virement.value, 'Les comptes d\'origine et de destination sont les mêmes !', false);
		return false;
	}
	new Ajax.Request("addauto.php?oa_id="+$('opform_form').oa_id.value+
		"&ac_id="+$('opform_form').ac_id.value+
		"&day="+$('opform_form').day.value+
		"&jan="+($('opform_form').jan.checked?"01":"")+
		"&feb="+($('opform_form').feb.checked?"02":"")+
		"&mar="+($('opform_form').mar.checked?"03":"")+
		"&apr="+($('opform_form').apr.checked?"04":"")+
		"&may="+($('opform_form').may.checked?"05":"")+
		"&jun="+($('opform_form').jun.checked?"06":"")+
		"&jul="+($('opform_form').jul.checked?"07":"")+
		"&aug="+($('opform_form').aug.checked?"08":"")+
		"&sep="+($('opform_form').sep.checked?"09":"")+
		"&oct="+($('opform_form').oct.checked?"10":"")+
		"&nov="+($('opform_form').nov.checked?"11":"")+
		"&dec="+($('opform_form').dec.checked?"12":"")+
		"&type="+$('opform_form').type.value+
		"&old_virement="+$('opform_form').old_virement.value+
		"&virement="+$('opform_form').virement.value+
		"&name="+myescape($('opform_form').name.value)+
		"&categorie="+$('opform_form').categorie.value+
		"&status="+$('opform_form').status.value+
		"&warn="+($('opform_form').warn.checked?"1":"0")+
		"&income="+$('opform_form').income.value+
		"&sum="+$('opform_form').sum.value+forceIE(), {
                        method: 'get',
                        encoding: 'UTF-8',
                        onSuccess: function(transport) {
				if (!checkConn(transport.responseText))
					return;
                                updateForm(-1);
                                updateList(transport.responseText);
                                updVirement();
                        },
                        onFailure: function(transport) {
				doError($("opeauto_list"), "L'enregistrement a échoué", transport.status+"");
                        }
                });

        return false;
}

function updateForm(oa_id) {
        if (oa_id !== -1) {
                $("form_updating").className="normal";
                window.scroll(0,0);
                new Ajax.Request("opeauto.opform.inc.php?oa_id="+oa_id+forceIE(), {
                        method: 'get',
                        encoding: 'UTF-8',
                        onSuccess: function(transport) {
				if (!checkConn(transport.responseText))
					return;
                                $("opeauto_form").innerHTML = transport.responseText;
                                updVirement();
                                $("form_updating").className="invisible";
                                myfocus($("form_name"));
                        },
                        onFailure: function(transport) {
			        doError($("opeauto_list"), "La mise à jour du formulaire a échoué", transport.status+"");
                        }
                });
        } else {
                new Ajax.Request("opeauto.opform.inc.php?x=y"+forceIE(), {
                        method: 'get',
                        encoding: 'UTF-8',
                        onSuccess: function(transport) {
				if (!checkConn(transport.responseText))
					return;

                                $("opeauto_form").innerHTML = transport.responseText;
                                updVirement();
                                myfocus($("form_name"));
                        },
                        onFailure: function(transport) {
                                doError($("opeauto_list"), "La mise à jour du formulaire a échoué", transport.status+"");
                        }
                });
        }
}

function updateList(oa_id) {
        $("list_updating").className="normal";
        new Ajax.Request("opeauto.list.inc.php?x=y"+forceIE(), {
                method: 'get',
                encoding: 'UTF-8',
		evalScripts: true,
                onSuccess: function(transport) {
			if (!checkConn(transport.responseText))
				return;

                        $("opeauto_list").innerHTML = transport.responseText;
                        $("list_updating").className="invisible";
                        if (oa_id !== 0) {
				new Effect.Highlight("oprow_"+oa_id, {startcolor:'#F9F979', endcolor:'#F9F9F0', keepBackgroundImage:true, duration: 2.0});
                        }
                },
                onFailure: function(transport) {
                        doError($("opeauto_list"), "Le chargement de la liste a échoué", transport.status+"");
                }
        });
}


function setmod(oa_id) {
	updateForm(oa_id);
}

function dodel(oa_id) {
	new Ajax.Request("deleteauto.php?to_do=delete&oa_id="+oa_id+forceIE(), {
		method: 'get',
		encoding: 'UTF-8',
		onSuccess: function(transport) {
			updateList(0);
		},
		onFailure: function(transport) {
			doError($("opeauto_list"), "Le chargement de la liste a échoué", transport.status+"");
		}
	});
}
function setdel(elt, oa_id) {
	divalert(elt, 'Confirmez-vous la suppression?', true, 'dodel('+oa_id+')');
}

function toggleMonthes(spanid)
{
	if ($(spanid).hasClassName("invisible")) {
		$(spanid).className="opeauto-monthes";
		$("cur-"+spanid).className="invisible";
	} else {
		$(spanid).className="invisible";
		$("cur-"+spanid).className="";
	}
	return false;
}
