<?php /*
    This file is part of JEPUT.

    JEPUT is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    JEPUT is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with JEPUT; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/ ?>
<?php $title = "Inscription"; include("meta.inc.php"); ?>
</HEAD>



<BODY onload="document.forms[0].login.focus();">

<?php include("secret/data.php");
$pagetitle="Inscription &agrave; JEPUT";
      include("tableBegin.php");?>

	<div class="nolist">
	Pour vous inscrire, c'est tr&egrave;s simple&nbsp;:&nbsp;</span>entrez un login et un mot de passe de votre choix, rien de plus.
	<br><br>
	<?php 
		if (isset($_REQUEST["erreur"])) {
			$erreur = $_REQUEST["erreur"];
		} else {
			$erreur = "0";
		}
		if($erreur=="1"){
			echo "<div class='error grey_border msg'><span class='important'>Le login ou email que vous avez choisi est d&eacute;j&agrave; utilisé.  Choisissez-en un autre...</span></div>";
		}
		if($erreur=="2"){
			echo "<div class='error grey_border msg'><span class='important'>Vous n'avez pas tap&eacute; deux fois le m&ecirc;me mot de passe. Veuillez réessayer.</span></div>";
		}
		if($erreur=="3"){
			echo "<div class='error grey_border msg'><span class='important'>Les mots de passe doivent faire au moins huit caractères. Veuillez réessayer.</span></div>";
		}
		if($erreur=="4"){
			echo "<div class='error grey_border msg'><span class='important'>Les apostrophes ne sont pas autorisées dans le login. Veuillez réessayer.</span></div>";
		}
		if($erreur=="5"){
			echo "<div class='error grey_border msg'><span class='important'>Merci de renseigner votre adresse email.</span></div>";
		}
		if (isset($_REQUEST["mail"])) {
			$mail = $_REQUEST["mail"];
		} else {
			$mail = "";
		}
		if (isset($_REQUEST["log"])) {
			$log = $_REQUEST["log"];
		} else {
			$log = "";
		}
	?>
	<form action="inscription.php" method="post">
	<table>
			<tr valign=middle>
				<td align=right>
					<span class=important>Login</span>&nbsp;: 
				</td>
				<td>
					<input type="text" name="login" maxlength=25 value="<?php echo $log; ?>" class="formulaire">
				</td>
			</tr>
			<tr><td colspan=2>&nbsp;</td></tr>
			<tr valign=middle>
				<td align=right>
					<span class=important>Adresse email</span>&nbsp;:
				</td>
				<td>
					<input type="email" name="email" maxlength=25 value="<?php echo $mail; ?>" class="formulaire"><br>
				</td>
			</tr>
			<tr valign=middle>
				<td align=right>
					<span class=important>Mot de passe</span>&nbsp;:<br>(2 fois)&nbsp;&nbsp;
				</td>
				<td>
					<input type="password" name="password" maxlength=25 value="" class="formulaire"><br>
					<input type="password" name="password_verif" maxlength=25 value="" class="formulaire">
				</td>
			</tr>
			<tr valign=middle>
				<td align=right>
					&nbsp; 
				</td>
				<td>
					<input type="submit" name="submit" value="Valider l'inscription"> 
				</td>
			</tr>
	</table>
	</form>
	<br>

	Votre navigateur doit accepter les cookies pour que ce site fonctionne. Ils sont utilisés afin de stocker votre login pendant le temps de vos sessions.
	<br><br>
        Vous disposez d'un droit d'accès et de rectification aux données vous concernant. Pour cela il vous suffit d'utiliser les liens du site, de vous désinscrire ou de
m'<a href="mailto:<?php echo $myMail; ?>">envoyer un mail</a>.
	</div>

</DIV>

<?php include("tableEnd.php");?>

</BODY>

</HTML>
