<?php /*
    This file is part of JEPUT.

    JEPUT is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    JEPUT is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with JEPUT; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/ ?>
<?php
	require_once("verifySession.php");
	require_once("initTypes.php");

	if (isset($_REQUEST["op_id"]))
		$op_id = vi($_REQUEST["op_id"],true);
	if (isset($_REQUEST["cat"]))
		$cat = vi($_REQUEST["cat"],true);
	if (isset($_REQUEST["day"]))
		$day = vi($_REQUEST["day"],true);
	if (isset($_REQUEST["month"]))
		$month = vi($_REQUEST["month"],true);
	if (isset($_REQUEST["year"]))
		$year= vi($_REQUEST["year"],true);
	if (isset($_REQUEST["nam"]))
		$nam = vi($_REQUEST["nam"],false);
	if (isset($_REQUEST["sum"])) {
		$sum=preg_replace('/,/','.',$_REQUEST["sum"]);
		if ($sum < 0) {
			$income=-1;
			$sum = - $sum;
		} else {
			$income=1;
		}
		$sum= vi($sum,true);
	}
	if (isset($_REQUEST["typ"]))
		$typ = vi($_REQUEST["typ"],true);
	if (isset($_REQUEST["vir"]))
		$vir = vi($_REQUEST["vir"],true);
	if (isset($_REQUEST["status"]))
		$status = vi($_REQUEST["status"],true);
	if (isset($_REQUEST["delete"]))
		$delete= $_REQUEST["delete"];

	if(!checkOperation($op_id)) {
		echo "NOK";
	} else {
		updateAccountFromOp($op_id);

		$related = getRelatedOp($op_id);
		if ($related)
			updateAccountFromOp($related);

		if (isset($_REQUEST["cat"])) {
			/* Categorie */
			mysql_query("update OPERATION set OP_CA_ID=$cat where OP_ID=$op_id");

			if($related) {
				mysql_query( "update OPERATION set OP_CA_ID=$cat where OP_ID=$related");
			}

			echo getCategorie($cat);
		} else if (isset($_REQUEST["year"]) && isset($_REQUEST["month"]) && isset($_REQUEST["day"])) {
			/* Date */
			mysql_query("update OPERATION set OP_DATE='".$year."-".$month."-".$day."' where OP_ID=$op_id");

			if($related){
				mysql_query("update OPERATION set OP_DATE='".$year."-".$month."-".$day."' where OP_ID=$related");
			}

			echo date("d/m/Y", strtotime($year."-".$month."-".$day));
		} else if (isset($_REQUEST["nam"])) {
			mysql_query("update OPERATION set OP_NAME=$nam where OP_ID=$op_id");

			if($related){
				mysql_query( "update OPERATION set OP_NAME=$nam where OP_ID=$related");
			}

			echo stripslashes($_REQUEST["nam"]);
		} else if (isset($_REQUEST["sum"])) {
			mysql_query("update OPERATION set OP_INCOME=$income, OP_SUM=$sum where OP_ID=$op_id");

			if($related){
				$rincome=-$income;
				mysql_query( "update OPERATION set OP_INCOME=$rincome, OP_SUM=$sum where OP_ID=$related");
			}

			if ($income == 1)
				$plus="+";
			else
				$plus="";
			echo $plus.roundNum(preg_replace('/\./',',',"".($sum*$income))."");
		} else if (isset($_REQUEST["typ"])) {
			if($related) {
				mysql_query( "delete from OPERATION where OP_ID=$related");
			}

			if ($typ==3 && isset($vir) && $vir != -1) {
				$related = "insert into OPERATION (OP_AC_ID, OP_DATE, OP_TY_ID, 
					OP_ST_ID, OP_INCOME, OP_NAME, OP_SUM, OP_OA_ID, 
					OP_RELATEDOP_ID, OP_CA_ID) select $vir, OP_DATE, $typ, 
					OP_ST_ID, -1*OP_INCOME, OP_NAME, OP_SUM, OP_OA_ID, OP_ID, 
					OP_CA_ID from OPERATION where OP_ID=$op_id";
				$related=mysql_query($related);
				$related=mysql_query("select last_insert_id() from OPERATION");
				$related=mysql_fetch_array($related);
				$related=$related[0];
			} else {
				$related="NULL";
			}

			mysql_query("update OPERATION set OP_TY_ID=$typ, OP_RELATEDOP_ID=$related where OP_ID=$op_id");

			echo $opType[$typ];
		} else if(isset($_REQUEST["status"])) {
			mysql_query("update OPERATION set OP_ST_ID=$status where OP_ID=$op_id");
			
			/* do not update the related operation's status as it can be different
			 * if the other account is in another bank
			 */

			echo "OK STATUS";
		} else if(isset($_REQUEST["delete"])){
			if($related){
				mysql_query( "delete from OPERATION where OP_ID=$related");
			}

			mysql_query("delete from OPERATION where OP_ID=$op_id");
			echo "OK DELETE";
		}
	}
?>

