<?php /*
    This file is part of JEPUT.

    JEPUT is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    JEPUT is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with JEPUT; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/ ?>
<?php $title = "Open Source"; include("meta.inc.php"); ?>
</HEAD>

<BODY>
<?php $pagetitle="Informations légales";
include_once("secret/data.php"); include("tableBegin.php");?>
	<div class="nolist">
	<span class="important">Ce site est édité et hébergé par :</span><br><br>
	<a href="mailto:<?php echo $myMail; ?>"><?php echo $myName; ?></a><br>
	<?php echo $myContact; ?><br><br>
<?php 	 
	if($cnilNumber > 0)
		echo "Ce site est enregistré sous le numéro ".$cnilNumber." à la <a href='http://www.cnil.fr/'>CNIL</a>. ";
?>
Vous disposez d'un droit d'accès, de modification, de rectification et de
suppression des données qui vous concernent (article 34 de la loi
"informatique et libertés"). Pour toute demande, adressez-vous à <a href="mailto:<?php echo $myMail; ?>"><?php echo $myName; ?></a>, ou utilisez les liens du site.
	</div>
	<div class="nolist">
	<br><br>
	<span class="important">JEPUT</span> est Open-Source, sous licence GPL version 3. Vous pouvez librement en télécharger le source, l'utiliser, le modifier, etc, tant que vous respectez les termes de la <a href="http://www.gnu.org/licenses/gpl.txt" target="_blank">GNU General Public License version 3 ou supérieure</a>.<br><br>
	<?php if (@filemtime($sourceLocation)) { ?>
		Vos bugs-reports et contributions sont les bienvenus, envoyez simplement vos mails à <a href="mailto:colin@colino.net">Colin Leroy-Mira</a>.<br><br>
		<a href="<?php echo $sourceLocation; ?>">Télécharger le source</a>.
		<?php echo "(Dernière modification : ".date ("d/m/Y", filemtime($sourceLocation)).")"; 
	} ?>
	
</DIV>
<?php include("tableEnd.php");?>
</BODY>
</HTML>
