<?php /*
    This file is part of JEPUT.

    JEPUT is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    JEPUT is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with JEPUT; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/ ?>
<?php
	include("secret/data.php");
	setcookie("JEPUTlogin","");
	setcookie("JEPUTtoken","");
	$JEPUTlogin="";
	$JEPUTtoken="";
	$connecting=1;
	setcookie("JEPUTlogin","");
	setcookie("JEPUTtoken","");
	
	function initdb($filepath) {
		echo ("<!-- \n");
		$contents = file_get_contents($filepath);  
		$comment_patterns = array('/\/\*.*(\n)*.*(\*\/)?/',
		'/\s*--.*\n/', 
		'/\s*#.*\n/',
		);
		$contents = preg_replace($comment_patterns, "\n", $contents);

		$statements = explode(";\n", $contents);
		$statements = preg_replace("/\s/", ' ', $statements);

		foreach ($statements as $query) {
			if (trim($query) != '') {
				echo "Executing query: " . $query . "\n";
				$res=mysql_query($query);
				if ($res == FALSE)
					echo ("ERROR<br>");
				else
					echo ("OK<br>");
			}
		}
		echo ("-->\n");
	}
?>
<?php $title="Initialisation"; include("meta.inc.php"); ?>
	<!--[if lt IE 7]>
		<meta http-equiv="refresh" content="0;url=/jeput/error.php?id=ie">
	<![endif]-->
</HEAD>

<BODY onLoad="document.forms[0].login.focus();">
<?php $pagetitle="Initialisation de JEPUT";?>

<?php 
	global $cfgDbVersion;
	if (isset($_REQUEST["step"])) {
	switch($_REQUEST["step"]) {
		case 1:
			if (check_database() == 0)
				initdb("secret/jeput.sql");
			$i = check_database()+1;
			while ($i <= $cfgDbVersion) {
				initdb("secret/jeput-upgrade-$i.sql");
				$i++;
			}
			break;
		default: break;
	}
}

include("tableBegin.php");?>

	<div class="nolist">
	<b>Étape 1:</b>
	<?php if ( check_database() == 0) {
		if (!isset($_REQUEST["step"]))
			echo '<a href="setup.php?step=1">Initialiser la base de données</a> de JEPUT.';
		else 
			echo 'Initialiser la base de données de JEPUT - terminé.';
	} else if (check_database() < $cfgDbVersion) {
		if (!isset($_REQUEST["step"]))
			echo '<a href="setup.php?step=1">Mettre à jour la base de données</a> de JEPUT.';
		else 
			echo 'Mettre à jour la base de données de JEPUT - terminé.';
	} else {
			echo 'La base de données est à jour.';
	}?>
	<br><br>
	<b>Étape 2:</b>
		Installez la crontab pour les opérations automatiques. Par exemple :<br>
		<i>0 1 * * * wget -o /dev/null -O /dev/null http://<?php echo $myHostname.$myPath; ?>/checkAuto.php</i>
	<br><br>
	<b>Étape 3:</b>
	<?php if (isset($_REQUEST["step"]) && $_REQUEST["step"]==1) { ?>
		<a href="index.php">Utiliser</a> JEPUT !
	<?php } else { ?>
		<a href="index.php">Utiliser</a> JEPUT !
	<?php } ?>
</DIV>
<?php include("tableEnd.php");?>
</BODY>
</HTML>
