function trim (myString)
{
	return myString.replace(/^\s+/g,'').replace(/\s+$/g,'');
}

function getListParams() {
	prev=$("chk_prev").checked?"1":"0";
	eng=$("chk_eng").checked?"1":"0";
	point=$("chk_point").checked?"1":"0";
	first=$("list_first").value;
	return "vPrev="+prev+"&vEng="+eng+"&vPoint="+point+"&first="+first;
}

function checkListTop() {
	if (isMobile())
		return;

	if ($('view_compte_opform').getStyle("position") == "fixed")
		return;
	var form_bottom = $('view_compte_opform').measure('top')+$('view_compte_opform').measure('height')+$('view_compte_opform').measure('margin-bottom');
	$("view_compte_list").setStyle({position: "absolute", top: (form_bottom)+"px"});
}

function checkResize () {
	if (isMobile()) {
		$('view_compte_opform').setStyle( {position: "relative", top: "0", width: "100%"} );
		$('view_compte_list').setStyle( {position: "relative", top: "0", width: "100%"} );
		return;
	}
	var scroller_object = $('view_compte_opform');
	if (scroller_object.getStyle("position") == "fixed") {
		w = $('lastmod').measure('width');
		scroller_object.setStyle( { position: "fixed", top: "0", width: (w+"px") } );
	}
	checkListTop();
}

function checkScroll () {
	if (isMobile())
		return;

	var scroller_object = $('view_compte_opform');
	originalY = $('lastmod').measure('top')+$('lastmod').measure('height')+$('lastmod').measure('margin-bottom');
	height = window.innerHeight || (window.document.documentElement.clientHeight || window.document.body.clientHeight);
	if( height < 350)
		return;
	if( scroller_object.cumulativeOffset()['top'] > 0
	 && scroller_object.cumulativeOffset()['top'] <= scroller_object.cumulativeScrollOffset()['top']) {
		w = $('lastmod').measure('width');
		scroller_object.setStyle( { position: "fixed", top: "0", width: (w+"px") } );
	}
	else if (scroller_object.cumulativeScrollOffset()['top'] < originalY){
		scroller_object.setStyle( { position: "absolute", top: (originalY+"px"), width: "100%" });
	}
}

function updateList(ac_id,parms,op_id,pagechange) {
	$("list_updating").className="normal";
	if (op_id !== 0) {
		hilight="&highlight_id="+op_id;
	} else {
		hilight="";
	}
	var w = $("view_compte_list_div").getWidth();
	new Ajax.Request("view_compte.list.inc.php?ac_id="+ac_id+"&width="+w+"&"+parms+forceIE(), {
		method: 'get',
		encoding: 'UTF-8',
		onSuccess: function(transport) {
			if (!checkConn(transport.responseText))
				return;
			$("view_compte_list").update(transport.responseText);
			$("list_updating").className="invisible";
			if (op_id !== 0) {
				new Effect.Highlight("oprow_"+op_id, {startcolor:'#F9F979', endcolor: '#F9F9F0', keepBackgroundImage:true, duration: 2.0});
			} 
		},
		onFailure: function(transport) {
			doError($("view_compte_list"), "Le chargement de la liste a échoué", transport.status+"");
		}
	});
}

function doDel(op_id,ac_id) {
	new Ajax.Request("update_op.php?op_id="+op_id+"&delete=1"+forceIE(), {
		method: 'get',
		encoding: 'UTF-8',
		onSuccess: function(transport) {
			updateTotals(ac_id);
			updateList(ac_id,getListParams(),0,"");
			updateLastMod(ac_id);
		},
		onFailure: function(transport) {
			doError($("view_compte_list"), "La mise à jour de l'état a échoué", transport.status+"");
		}
	});
}

function confirmDel(elt, op_id,ac_id) {
	divalert(elt, 'Confirmez-vous la suppression ?', true, 'doDel('+op_id+','+ac_id+')');
}

function doDelReload(op_id,ac_id) {
	new Ajax.Request("update_op.php?op_id="+op_id+"&delete=1"+forceIE(), {
		method: 'get',
		encoding: 'UTF-8',
		onSuccess: function(transport) {
			location.reload(true);
		},
		onFailure: function(transport) {
			location.reload(true);
		}
	});
}

function confirmDelReload(elt, op_id,ac_id) {
	divalert(elt, 'Confirmez-vous la suppression ?', true, 'doDelReload('+op_id+','+ac_id+')');
}

function updateTotals(ac_id) {
	$("total_updating").className="normal";
	calc_expr = encodeURIComponent($("calc_expr").value);
	new Ajax.Request("view_compte.total.inc.php?ac_id="+ac_id+"&calc_expr="+calc_expr+forceIE(), {
		method: 'get',
		encoding: 'UTF-8',
		onSuccess: function(transport) {
			if (!checkConn(transport.responseText))
				return;

			$("view_compte_total").innerHTML = transport.responseText;
			$("total_updating").className="invisible";
			
			if ($("calc_expr").value != "")
				calc();
		},
		onFailure: function(transport) {
			doError($("view_compte_list"), "La mise à jour des totaux a échoué", transport.status+"");
		}

	});
}

function updateForm(ac_id) {
	new Ajax.Request("view_compte.opform.inc.php?ac_id="+ac_id+forceIE(), {
		method: 'get',
		encoding: 'UTF-8',
		onSuccess: function(transport) {
			if (!checkConn(transport.responseText))
				return;

			$("view_compte_opform").innerHTML = transport.responseText;
			updVirement('');
			myfocus($('form_name'));
		},
		onFailure: function(transport) {
			doError($("view_compte_list"), "La mise à jour du formulaire a échoué", transport.status+"");
		}
	});
}

function updateLastMod(ac_id) {
	new Ajax.Request("view_compte.lastmod.inc.php?ac_id="+ac_id+forceIE(), {
		method: 'get',
		encoding: 'UTF-8',
		onSuccess: function(transport) {
			if (!checkConn(transport.responseText))
				return;

			$("lastmod").innerHTML = transport.responseText;
		},
		onFailure: function(transport) {
			$("lastmod").innerHTML ="";
		}

	});
}

function cS(status, op_id, ac_id) {
	new Ajax.Request("update_op.php?op_id="+op_id+"&status="+status+forceIE(), {
		method: 'get',
		encoding: 'UTF-8',
		onSuccess: function(transport) {
			if (!checkConn(transport.responseText))
				return;

			if (transport.responseText.match(/NOK/)) {
				doError($("view_compte_list"), "La mise à jour de l'état a échoué", "Opération inconnue");
			} else {
				$('oprow_'+op_id).removeClassName('prevu');
				$('oprow_'+op_id).removeClassName('engage');
				$('oprow_'+op_id).removeClassName('pointe');
				if (status == "0") color='prevu';
				else if (status == "1") color='engage';
				else color='pointe';
				/* set new color */
				$('oprow_'+op_id).addClassName(color);
				updateTotals(ac_id);
				updateLastMod(ac_id);
			}
		},
		onFailure: function(transport) {
			doError($("view_compte_list"), "La mise à jour de l'état a échoué", transport.status+"");
		}

	});
}
																	       
function cSUM(sum, op_id, ac_id) {
	new Ajax.Request("update_op.php?op_id="+op_id+"&sum="+sum+forceIE(), {
		method: 'get',
		encoding: 'UTF-8',
		onSuccess: function(transport) {
			if (!checkConn(transport.responseText))
				return;

			if (transport.responseText.match(/NOK/)) {
				doError($("view_compte_list"), "La mise à jour du montant a échoué", "Opération inconnue");
			} else {
				$("sum"+op_id+"show").innerHTML=trim(transport.responseText);
				unedit("sum"+op_id);

				if (sum[0]=='-') {
					$('oprow_'+op_id).removeClassName('income');
					$('oprow_'+op_id).addClassName('outcome');
				} else {
					$('oprow_'+op_id).removeClassName('outcome');
					$('oprow_'+op_id).addClassName('income');
				}
				updateTotals(ac_id);
			}
		},
		onFailure: function(transport) {
			doError($("view_compte_list"), "La mise à jour du montant a échoué", transport.status+"");
		}

	});
}

function cDate(op_id,day,month,year) {
	new Ajax.Request("update_op.php?op_id="+op_id+"&day="+day+"&month="+month+"&year="+year+forceIE(), {
		method: 'get',
		encoding: 'UTF-8',
		onSuccess: function(transport) {
			if (!checkConn(transport.responseText))
				return;

			if (transport.responseText.match(/NOK/)) {
				doError($("view_compte_list"), "La mise à jour de la date a échoué", "Opération inconnue");
			} else {
				$("date"+op_id+"show").innerHTML=trim(transport.responseText);
			}
		},
		onFailure: function(transport) {
			doError($("view_compte_list"), "La mise à jour de la date a échoué", transport.status+"");
		}

	});
}
																	       
function cN(nam, op_id, ac_id) {
	new Ajax.Request("update_op.php?op_id="+op_id+"&nam="+myescape(nam)+forceIE(), {
		method: 'get',
		encoding: 'UTF-8',
		onSuccess: function(transport) {
			if (!checkConn(transport.responseText))
				return;

			if (transport.responseText.match(/NOK/)) {
				doError($("view_compte_list"), "La mise à jour du nom a échoué", "Opération inconnue");
			} else {
				$("nam"+op_id+"show").innerHTML=trim(transport.responseText);
				unedit("nam"+op_id);
			}
		},
		onFailure: function(transport) {
			doError($("view_compte_list"), "La mise à jour du nom a échoué", transport.status+"");
		}

	});
}
																	       
function cC(cat, op_id, ac_id) {
	new Ajax.Request("update_op.php?op_id="+op_id+"&cat="+cat+forceIE(), {
		method: 'get',
		encoding: 'UTF-8',
		onSuccess: function(transport) {
			if (!checkConn(transport.responseText))
				return;

			if (transport.responseText.match(/NOK/)) {
				doError($("view_compte_list"), "La mise à jour de la catégorie a échoué", "Opération inconnue");
			} else {
				$("cat"+op_id+"show").innerHTML=trim(transport.responseText);
				unedit("cat"+op_id);
			}
		},
		onFailure: function(transport) {
			doError($("view_compte_list"), "La mise à jour de la catégorie a échoué", transport.status+"");
		}
	});
}

function cT(typ, op_id, ac_id) {
	if (typ == '3' && document.getElementById('vir'+op_id+'_span').className == 'invisible') {
		document.getElementById('vir'+op_id+'_span').className = 'normal';
		$('vir'+op_id+'edit').className = "focus-sel";
		updVirement(op_id);
		return;
	}
	var vir=-1;
	if (typ != '3')
		document.getElementById('vir'+op_id+'_span').className = 'invisible';
	else
		vir = document.getElementById('vir'+op_id+'edit').value;

	new Ajax.Request("update_op.php?op_id="+op_id+"&typ="+typ+'&vir='+vir+forceIE(), {
		method: 'get',
		encoding: 'UTF-8',
		onSuccess: function(transport) {
			if (!checkConn(transport.responseText))
				return;

			if (transport.responseText.match(/NOK/)) {
				doError($("view_compte_list"), "La mise à jour du type a échoué", "Opération inconnue");
			} else {
				updateList($('opform_form').ac_id.value, getListParams(), 0,"");
			}
		},
		onFailure: function(transport) {
			doError($("view_compte_list"), "La mise à jour du type a échoué", transport.status+"");
		}

	});
}

function check(f) {
	try {
		if ($("form_updating").className != "invisible" 
		 || $("list_updating").className != "invisible"
		 || $("total_updating").className != "invisible")
			return false;
	} catch (err) {
		return false;
	} 
	if(f.search.value!='true') {
		if(f.op_id.value=='-1') {
			if (f.search.value=='cancel') {
				first=0;
				f.search.value="";
			}
			updateForm(f.ac_id.value);
			updateList($('opform_form').ac_id.value, getListParams(),0,"");
			updateLastMod($('opform_form').ac_id.value);
			return; 
		}
		if(f.name.value=='') {
			divalert(f.name, 'Vous n\'avez pas rempli le libellé !', false);
			return false;
		}
		if(f.sum.value=='') {
			divalert(f.sum, 'Vous n\'avez pas rempli le montant !', false);
			return false;
		}
		new Ajax.Request("addoperation.php?search="+f.search.value+"&ac_id="+f.ac_id.value+"&op_id="+f.op_id.value+"&day="+f.day.value
				+"&month="+f.month.value+"&year="+f.year.value+"&old_virement="+f.old_virement.value+"&type="+f.type.value
				+"&virement="+f.virement.value+"&name="+myescape(f.name.value)+"&categorie="+f.categorie.value+"&status="+f.status.value
				+"&income="+f.income.value+"&sum="+f.sum.value+forceIE(), {
			method: 'get',
			encoding: 'UTF-8',
			onSuccess: function(transport) {
				if (!checkConn(transport.responseText))
					return;

				updateForm($('opform_form').ac_id.value);
				updateList($('opform_form').ac_id.value, getListParams(), transport.responseText,"");
				updateTotals($('opform_form').ac_id.value);
				updateLastMod($('opform_form').ac_id.value);
				updVirement('');
			},
			onFailure: function(transport) {
				doError($("view_compte_list"), "L'enregistrement a échoué", transport.status+"");
			}
		});
	} else {
		sname=f.name.value;
		ssum=f.sum.value;
		scategorie=f.categorie.value;
		first=0;
		prev=$("chk_prev").checked?"1":"0";
		eng=$("chk_eng").checked?"1":"0";
		point=$("chk_point").checked?"1":"0";
		first=$("list_first").value;
		parms="vPrev="+prev+"&vEng="+eng+"&vPoint="+point+"&first="+first+"&search=1&sname="+myescape(sname)+"&ssum="+ssum+"&scategorie="+scategorie;
		updateLastMod($('opform_form').ac_id.value);
		updateList($('opform_form').ac_id.value, parms,0,"");
		$('cancel_search_btn').className="normal";
	}
	return false;
}

function openCalendar2(month,year,field) {
        new Ajax.Request("calendar2.php?curMonth="+month+"&curYear="+year+"&field="+field+forceIE(), {
                method: 'get',
                encoding: 'UTF-8',
                onSuccess: function(transport) {
			if (!checkConn(transport.responseText))
				return;

                        if (transport.responseText.match(/NOK/)) {
                                doError($("calform"+field), "La mise à jour de l'état a échoué", "Opération inconnue");
                        } else {
				$("calform"+field).hide();
				$("calform"+field).innerHTML = transport.responseText;
				Effect.Appear($("calform"+field), {duration: 0.2});
                        }
                },
		onFailure: function(transport) {
			doError($("calform"+field), "Erreur", transport.status+"");
		}
        });
}

function closeCalendar(field)
{
	Effect.Fade($("calform"+field), {duration: 0.2});
//	$("calform"+field).innerHTML = "";
}

function selDate(day,month,year,field) {
	if (field == "") {
		$('opform_form').day.value=day;
		$('opform_form').month.value=month;
		$('opform_form').year.value=year;
		if (day < 10) 
			day='0'+day;
		if (month < 10) 
			month='0'+month;
		$('opform_form_date').value=day+"/"+month+"/"+year;
	} else {
		var op_id=field.replace(new RegExp("date"), "");
		cDate(op_id, day,month,year);
	}
	closeCalendar(field);
}

function toggleCalc(){
	if ($('calc').className == 'invisible') {
		$('calc').className = 'normal';
		new Ajax.Request("setcalc_vis.php?visible=1");
		try{
			myfocus($('calc_expr'));
		}catch(err){}
	} else {
		$('calc').className = 'invisible';
		new Ajax.Request("setcalc_vis.php?visible=0");
	}
}
